Skip to main content
GET
/
v1
/
patterns
List Patterns
curl --request GET \
  --url https://api.example.com/v1/patterns \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string | null
sort
string
default:-risk_score
q
string | null
Maximum string length: 200
domain
string | null
risk_min
integer | null
Required range: 0 <= x <= 100
risk_max
integer | null
Required range: 0 <= x <= 100
limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string | null

Response

Successful Response